Bug 517485 - rpc.idmapd is linked against uneeded libs
rpc.idmapd is linked against uneeded libs
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 516998
  Show dependency treegraph
 
Reported: 2009-08-14 06:29 EDT by Harald Hoyer
Modified: 2012-05-15 14:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-15 14:30:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2009-08-14 06:29:30 EDT
# ldd /usr/sbin/rpc.idmapd 
	linux-gate.so.1 =>  (0x009f7000)
	libevent-1.4.so.2 => /usr/lib/libevent-1.4.so.2 (0x00eaa000)
	libnfsidmap.so.0 => /usr/lib/libnfsidmap.so.0 (0x00bd6000)
	libdl.so.2 => /lib/libdl.so.2 (0x00a5c000)
	libtirpc.so.1 => /usr/lib/libtirpc.so.1 (0x00f00000)
	libc.so.6 => /lib/libc.so.6 (0x007d6000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x00595000)
	librt.so.1 => /lib/librt.so.1 (0x00d6a000)
	libresolv.so.2 => /lib/libresolv.so.2 (0x00448000)
	/lib/ld-linux.so.2 (0x00b3a000)
	libgssglue.so.1 => /usr/lib/libgssglue.so.1 (0x00516000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00110000)


after linking with CFLAGS="-Wl,--as-needed"

# ldd /usr/sbin/rpc.idmapd 
	linux-gate.so.1 =>  (0x004b6000)
	libevent-1.4.so.2 => /usr/lib/libevent-1.4.so.2 (0x006ca000)
	libnfsidmap.so.0 => /usr/lib/libnfsidmap.so.0 (0x008e3000)
	libc.so.6 => /lib/libc.so.6 (0x00110000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x00e4c000)
	librt.so.1 => /lib/librt.so.1 (0x00f4c000)
	libresolv.so.2 => /lib/libresolv.so.2 (0x009ff000)
	libdl.so.2 => /lib/libdl.so.2 (0x00b89000)
	/lib/ld-linux.so.2 (0x0039a000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00719000)
Comment 1 Bug Zapper 2009-11-16 06:26:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Steve Dickson 2012-05-15 14:30:55 EDT
On a up to date f16 box

# ldd idmapd 
	linux-vdso.so.1 =>  (0x00007fffe05ff000)
	libevent-2.0.so.5 => /usr/lib64/libevent-2.0.so.5 (0x00007ffb78acb000)
	libnfsidmap.so.0 => /lib64/libnfsidmap.so.0 (0x00007ffb788c3000)
	libc.so.6 => /lib64/libc.so.6 (0x00007ffb7850a000)
	librt.so.1 => /lib64/librt.so.1 (0x00007ffb78302000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007ffb780e6000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007ffb77ee1000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007ffb77ccc000)
	/lib64/ld-linux-x86-64.so.2 (0x0000003ce3c00000)
after linking with CFLAGS="-Wl,--as-needed"
# ldd idmapd 
	linux-vdso.so.1 =>  (0x00007fff49ddd000)
	libevent-2.0.so.5 => /usr/lib64/libevent-2.0.so.5 (0x00007f0c50ebe000)
	libnfsidmap.so.0 => /lib64/libnfsidmap.so.0 (0x00007f0c50cb6000)
	libc.so.6 => /lib64/libc.so.6 (0x00007f0c508fd000)
	librt.so.1 => /lib64/librt.so.1 (0x00007f0c506f5000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f0c504d9000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007f0c502d4000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f0c500bf000)
	/lib64/ld-linux-x86-64.so.2 (0x0000003ce3c00000)

So it appears CFLAGS="-Wl,--as-needed" is not needed...

Note You need to log in before you can comment on or make changes to this bug.